*,
*::before,
*::after {
  box-sizing: border-box;
}

ul,
ol {
  padding: 0;
  margin: 0;

}

body,
h1,
h2,
h3,
h4,
p,
ul[class],
ol[class],
li,
figure,
figcaption,
blockquote,
dl,
dd {
  margin: 0;
  list-style-type: none;
  padding: 0;
}

ul[class],
ol[class] {
  list-style: none;
  padding: 0;
  margin: 0;
}

a {
  text-decoration: none;
  color: #25282b;
}

input,
button,
textarea,
select {
  font: inherit;
}

body {
    font-family: 'Roboto';
}

.container {
  max-width: 1280px;
  margin: 0 auto;
}

@media (max-width: 1280px) {
  .container {
    padding-left: 10px;
    padding-right: 10px;
  }
}

.header-container {
  max-width: 1280px;
  margin: 0 auto;
}

.header__text {
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 18px;
  color: #828282;
  padding-bottom: 1px;
}

.header__city {
  margin-left: 18px;
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  line-height: 16px;
  color: #E93C3C;
  border-bottom: 2px dotted #E93C3C;
  position: relative;
    &:before {
      position: absolute;
      content: url('../img/pin.svg');
      left: -20px;
    }
}

.header__number {
  font-style: normal;
  font-weight: 700;
  font-size: 14px;
  line-height: 16px;
  color: #25282B;
}

.header__btn {
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 16px;
  color: #EB4747;
}

.search__input {
  background: #F9F9FA;
  border: 1px solid #CACCCF;
  outline: none; 
  border-radius: 2px;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 16px;
  color: #828282;
  align-items: center;
  width: 100%;
  padding: 9px 14px; 
}

.menu__catalog {
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  line-height: 16px;
  color: #FFFFFF;
  background-color: #EB4747;
  position: relative;
  border: none;
  cursor: pointer;
  width: 128px;
  height: 48px;
  
  
  .burger-btn {
    display: block;
    top: 50%;
    left: 21px;
  }

  .burger-btn,
  .burger-btn::before,
  .burger-btn::after {
    display: block;
    background-color: #fff;
    position: absolute;
    height: 2px;
    width: 24px;
    transition: transform 400ms cubic-bezier(0.23, 1, 0.32, 1);
  }

  .burger-btn::before {
    content: '';
    margin-top: -6px;
  }

  .burger-btn::after {
    content: '';
    margin-top: 6px;
  }

  .burger-name {
    position: absolute;
    top: 50%;
    right: 21px;
    transform: translateY(-50%);
  }

  .burger-btn--active {
    top: 50%;
    left: 21px;
    background-color: #eb4747;
  }

  .burger-btn--active,
  .burger-btn--active::before,
  .burger-btn--active::after {
    display: block;
    // background-color: #eb4747;
    transform: rotate(-45deg);
    position: absolute;
    height: 2px;
    width: 24px;
    transition: transform 400ms cubic-bezier(0.23, 1, 0.32, 1);
  }

  .burger-btn--active::before {
    content: '';
    margin-top: 0px;
    transform: rotate(45deg);
    background-color: #fff;
  }

  .burger-btn--active::after {
    content: '';
    margin-top: 0px;
    transform: rotate(-45deg);
    background-color: #fff;
  }
}

@media (max-width: 1280px) {
  .menu__catalog {
    height: 56px;
  }
}

@media (max-width: 1158px) {
  .menu__catalog {
    width: 100%;
    height: 56px;
    max-width: 56px;
    .burger-btn {
      left: 50%;
      transform: translateX(-50%);
    }
    .burger-name {
      display: none;
    }
  }
}

@media (max-width: 996px) {
  .menu__catalog {
    width: 100%;
    height: 84px;
    max-width: 84px;
  }

  .menu__user {
    .btn-user {
     padding: 0 14px;

      img {
        width: 30px;
      }
    }
  }
}

@media (max-width: 450px) {
  .menu__catalog {
    width: 100%;
    height: 50px;
    max-width: 50px;
  }

  .menu__user {
    .btn-user {
     padding: 0 14px;

      img {
        width: 20px;
      }
    }
  }
}

.burger-catalog-title {
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 130%;
  color: #25282b;
  padding-bottom: 10px;
  padding-left: 30px;
  position: relative;
  
    &::before {
      position: absolute;
      content: url('../img/clothes.png');
      left: 0;
      top: -2px;
    }
}

.burger-catalog-text:not(:last-child) {
  padding-bottom: 10px;
}

.text-link {
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 14px;
  color: #52575c;
  cursor: pointer;
  transition: .3s ease-out;
    &:hover {
      color: #e93c3c
    }
}

.item-link {
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 130%;
  color: #828282;
  margin-right: 24px;
  position: relative;
}

.item-link:after {
  display: block;
  position: absolute;
  left: 0; 
  top: 30px;
  width: 0;
  height: 2px; 
  background-color: #EB4747;
  content: "";
  transition: width 0.3s ease-out; 
}

.item-link:hover:after,
.item-link:focus:after {
	width: 100%; 
}

.item-link_othesite {
  font-weight: 500;
  font-size: 14px;
  line-height: 130%;
  text-transform: uppercase;
  color: #EB4747;
  transition: width 0.3s ease-out; 
}

.account {
  align-items: center;
  display: flex;
    .log {
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 16px;
      color: #E93C3C;
      padding-left: 6px;
    }
}

.breadcrumb__link {
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 130%;
  color: #828282;
}

.breadcrumb__link:not(:last-child) {
  position: relative;
  padding-right: 20px;
    &:after {
      position: absolute;
      content: '>';
      color: #828282;
      right: 6px;
      bottom: -1px;
    }
}

.section__title {
  font-style: normal;
  font-weight: 400;
  font-size: 32px;
  line-height: 130%;
  text-transform: uppercase;
  color: #25282B;
  margin-bottom: 30px;
}

.tag__link {
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 14px;
  color: #52575C;
  background: #F9F9FA;
  border: 1px solid #CACCCF;
  border-radius: 2px;
  padding: 8.5px 8px;
  margin-right: 8px;
  margin-bottom: 8px;
  transition: 0.3s ease-out; 

    &:hover {
      border: 1px solid #E93C3C;
    }
}

.tag__link--active {
  background: #E93C3C;
  color: #fff;
}

.btn-close {
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 14px;
  color: #52575C;
  background: #F9F9FA;
  border: 1px solid #CACCCF;
  border-radius: 2px;
  padding: 8.5px 8px;
  margin-right: 8px;
  margin-bottom: 8px;
  transition: 0.3s ease-out; 

    &:hover {
      color:#E93C3C;
    }
}

.tag-hidden {
  display: none;
}

.filter-mobile {
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 130%;
  align-items: center;
  color: #25282B;
  position: relative;
  top: 10px;
  background: transparent;
  border: none;

    &:before {
      position: absolute;
      content: url('../img/filter.svg');
      left: -30px;
      top: -2px;
    }
}

.select {
  position: relative;
  width: 210px;
  height: 40px;
  margin: 0 auto;
  box-sizing: border-box;

  &[data-state="active"] {
    .select__title {
      &::before {
        transform: translate(-3px, -50%) rotate(-45deg);
      }

      &::after {
        transform: translate(3px, -50%) rotate(45deg);
      }
    }
    
    .select__content {
      opacity: 1;
    }
    
    .select__label + .select__input + .select__label {
      max-height: 35px;
    }
  }
}

.select__title {
  display: flex;
  align-items: center;
  width: 100%;
  height: 100%;
  padding: 8px 16px;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 130%;
  color: #52575C;
  cursor: pointer;

  &::before,
  &::after {
    content: "";

    position: absolute;
    top: 50%;
    right: 16px;

    display: block;
    width: 10px;
    height: 2px;

    transition: all 0.3s ease-out;

    background-color: #CACCCF;

    transform: translate(-3px, -50%) rotate(45deg);
  }
  &::after {
    transform: translate(3px, -50%) rotate(-45deg);
  }

  &:hover {
    border-color: #CACCCF;

    &::before,
    &::after {
      background-color: #CACCCF;
    }
  }
}

@media (max-width: 807px) {
  .select__title {  
    padding-left: 12px;
  }
}

.select__content {
  position: absolute;
  top: 40px;
  left: 3px;

  display: flex;
  flex-direction: column;
  width: calc(100% - 6px);

  background-color: #ffffff;

  // border: 1px solid #c7ccd1;
  // border-top: none;
  // border-bottom-left-radius: 5px;
  // border-bottom-right-radius: 5px;
  
  transition: all 0.3s ease-out;

  opacity: 0;
  z-index: 8;
}

.select__input {
  display: none;

  &:checked + label {
    background-color: #dedede;
  }
  &:disabled + label {
    opacity: 0.6;
    pointer-events: none;
  }
}

.select__label {
  display: flex;
  align-items: center;
  width: 100%;
  height: 40px;
  max-height: 0;
  padding: 0 16px;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 130%;
  color: #52575C;
  
  transition: all 0.2s ease-out;

  cursor: pointer;
  
  overflow: hidden;

  & + input + & {
    border-top: 0 solid #C7CCD160;
  }

  &:hover {
    background-color: #007EFF !important;

    color: #ffffff;
  }
}

.mobile-filter-close {
  margin-bottom: 32px;

  .filter-close__btn {
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 130%;
    color: #25282B;
    position: relative;
    padding-left: 40px;
    border: none;
    background: transparent;
    
      &::before {
        position: absolute;
        content: url('../img/arrow-left.svg');
        left: 3px;
      }
  }
}

.aside-filter__title {
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 130%;
  color: #25282B;
  position: relative;
}

.filter-item-drop {
  position: relative;
  cursor: pointer;
  &:before {
    position: absolute;
    content: url('../img/up.svg');
    right: 0;
    bottom: -10%;
    transform: rotate(180deg);
    transition: 0.3s ease;
  }
}

.filter-item-drop--active {
  &:before {
    transform: rotate(0);
    bottom: -30%;;
    transition: 0.3s ease;
  }
}

.aside-filter-content {
  margin-top: 20px;
  display: none;
  overflow: hidden;
  transition: 0.3s ease;
}

.range-wrapper {
  width: 100%;
	padding-bottom: 10px;
}

.price-input {
	width: 100%;
	display: flex;
	justify-content: space-between;
  margin: 0 0 20px;

	.field {
		display: flex;
		height: 45px;
		align-items: center;
    position: relative;

    .range-text {
      position: absolute;
      left: 10px;
      top: 15px;
      font-weight: 400;
      font-size: 14px;
      line-height: 100%;
    }
  }

	.separator {
		width: 130px;
		display: flex;
		font-size: 19px;
		align-items: center;
		justify-content: center;
	}
}

.field {
	input {
		width: 92px;
		height: 32px;
		font-size: 14px;
		line-height: 100%;
		text-align: center;
		color: #828282;
		background: #FFFFFF;
		border: 1px solid #CACCCF;
		border-radius: 2px;
    text-indent: 10px;
    outline: none;
	}
}

input[type="number"] {
	&::-webkit-outer-spin-button {
		-webkit-appearance: none;
	}
	&::-webkit-inner-spin-button {
		-webkit-appearance: none;
	}
}

.slider {
	height: 5px;
	position: relative;
	background: #CACCCF;
	.progress {
		height: 100%;
		left: 25%;
		right: 25%;
		position: absolute;
		border-radius: 5px;
		background: #FF6262;
	}
}

.range-input {
	position: relative;
	input {
		position: absolute;
		width: 100%;
		height: 5px;
		top: -7px;
    left: -2px;
		background: none;
		pointer-events: none;
		-webkit-appearance: none;
		-moz-appearance: none;
	}
}

input[type="range"] {
	&::-webkit-slider-thumb {
		height: 20px;
		width: 20px;
		border-radius: 50%;
		background: #FFF;
		border: 4px solid #FF6262;
		pointer-events: auto;
		-webkit-appearance: none;
		box-shadow: 0 0 6px rgba(0,0,0,0.05);
	}
	&::-moz-range-thumb {
		height: 20px;
		width: 20px;
		border: none;
		border-radius: 50%;
		background: #FF6262;
		pointer-events: auto;
		-moz-appearance: none;
		box-shadow: 0 0 6px rgba(0,0,0,0.05);
	}
}

.input-checkbox {
  position: absolute;
  z-index: -1;
  opacity: 0;
}

.input-checkbox+label {
  display: inline-flex;
  align-items: center;
  user-select: none;
  margin-bottom: 12px;
}

.input-checkbox+label::before {
  content: '';
  display: inline-block;
  width: 20px;
  height: 20px;
  flex-shrink: 0;
  flex-grow: 0;
  border: 1px solid #adb5bd;
  border-radius: 2px;
  margin-right: 12px;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 50% 50%;
}

.input-checkbox:checked+label::before {
  border-color: #E93C3C;
  background-color: #E93C3C;
  background-image: url('../img/check.svg');
  background-size: 80%;
}

.input-checkbox:not(:disabled):not(:checked)+label:hover::before {
  border-color: #E93C3C;
}

.input-checkbox:not(:disabled):active+label::before {
  background: #E93C3C;
  border-color: #E93C3C;
}

.input-checkbox:focus:not(:checked)+label::before {
  border-color: #E93C3C;
}

.input-checkbox:disabled+label::before {
  background-color: #fff;
  border-color: #fff;
}

.input-checkbox:disabled+label {
  color: #A0A4A8;  
}

.label-checkbox {
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 20px;
  color: #52575C;
}

.button {
  padding: 12px 60px;
  gap: 10px;
  color: #E93C3C;
  background: transparent;
  font-size: 16px;
  line-height: 16px;
  text-align: center;
  cursor: pointer;
}

.show-button {
  border: 2px solid #E93C3C;
  border-radius: 2px;
  font-weight: 500;
  margin-bottom: 20px;
  transition: 0.3s ease;
  &:hover {
    color: #fff;
    background: #E93C3C;
  }
  
}

.reset-button {
  border: none;
  font-weight: 400;
}

.card-item-image {
  text-align: center;
}

.vendor-code {
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 130%;
  color: #A0A4A8;
  padding-bottom: 8px;

}

.description {
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 130%;
  color: #25282B;
  padding-bottom: 14px;
}

.wholesale {
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 130%;
  color: #1A8BFF;
  padding-bottom: 2px;
}

.retail {
  font-style: normal;
  font-weight: 500;
  font-size: 18px;
  line-height: 130%;
  color: #E93C3C;
  padding-bottom: 20px;
}

.add-to-card {
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 16px;
  text-align: center;
  color: #52575C;
  width: 100%;
  border: 1px solid #A0A4A8;
  background: #FFFFFF;
  border-radius: 2px;
  transition: .3s ease-out;
  margin-right: 10px;
    &:hover {
      color: #E93C3C;
      border: 1px solid #E93C3C;
    } 
}

.add-to-favorite {
  background: #FFFFFF;
  border: 1px solid #A0A4A8;
  border-radius: 2px;
  padding: 8px 12px;
  gap: 10px;
  align-items: center;
  display: flex;
  transition: .3s ease-out;
    &:hover {
      color: #E93C3C;
      border: 1px solid #E93C3C;
    }

    .heart {
      transition: .3s ease-out;
      &:hover {
        fill: #E93C3C !important;
      }
    }
}

.catalog-card__show-more {
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 16px;
  text-align: center;
  color: #25282B;
  background: #F9F9FA;
  border: 1px solid #E8E8E8;
  width: 100%;
  height: 46px;
  cursor: pointer;
  transition: .3s ease-out;
  &:hover {
    color: #E93C3C;
  }
}

.pagination__item {
  &:not(:last-child) {
    padding-right: 22px;
  }

  .pagination__link {
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 130%;
    text-align: center;
    color: #25282B;
    padding: 2px 8px;
    transition: .3s ease-out;
    &:hover {
      color: #E93C3C;
    }
  }

  .pagination__active {
    background: #E93C3C;
    color: #FFFFFF;
    border-radius: 2px;
    &:hover {
      color: #FFFFFF;
    }
  }

  .pagination__disable {
    pointer-events: none;
    cursor: not-allowed;
    color: #A0A4A8;
  }
}

@media (max-width: 400px) {
  .pagination__item {
    &:not(:last-child) {
      padding-right: 10px;
    }
  
    .pagination__link {
      font-style: normal;
      font-weight: 400;
      font-size: 12px;
      line-height: 130%;
      text-align: center;
      color: #25282B;
      padding: 4px 8px;
      transition: .3s ease-out;
      &:hover {
        color: #E93C3C;
      }
    }
  
    .pagination__active {
      background: #E93C3C;
      color: #FFFFFF;
      border-radius: 2px;
      &:hover {
        color: #FFFFFF;
      }
    }
  
    .pagination__disable {
      pointer-events: none;
      cursor: not-allowed;
      color: #A0A4A8;
    }
  }
}

.footer__callback {
  display: flex;
  flex-direction: column;
  margin-bottom: 21px;
}

.footer__number {
  font-style: normal;
  font-weight: 700;
  font-size: 20px;
  line-height: 130%;
  align-items: center;
  text-transform: uppercase;
  color: #52575C;
  padding-bottom: 6px;
}

.footer__btn {
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 16px;
  color: #EB4747;
}

.footer__email {
  margin-bottom: 22px;

    .email__link {
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 130%;
      color: #52575C;
    }
}

.footer__social-network {
  padding-bottom: 31px;
  .social-network:not(:last-child) {
    padding-right: 10px;
  }
}

.footer__price-list {
  display: flex;
  align-items: center;

    .price-list__icon {
      padding-right: 10px;
    }

    .price-list__download {
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 16px;
      color: #EB4747;
    }
}

.footer-menu__item {

  &:not(:last-child) {
    padding-bottom: 20px;
  }

  .item__link {
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 130%;
    text-transform: uppercase;
    color: #A0A4A8;
  }

  .link-color {
    color: #E93C3C;
  }
}

.send__text {
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  line-height: 130%;
  color: #52575C;
  padding-bottom: 30px;
}

.send__wrapper {
    max-width: 298px;
    width: 100%;
    position: relative;
    padding-bottom: 20px;

      &:after {
        position: absolute;
        content: url('../img/send.svg');
        top: 40%;
        transform: translateY(-50%);
        right: 20px;
      }

  .send__input {
    background: #FFFFFF;
    border: 1px solid #E8E8E8;
    border-radius: 4px;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 16px;
    color: #A0A4A8;
    outline: 0;
    width: 100%;
    padding: 12px 20px;
  }
}

@media (max-width: 615px) {
  .send__wrapper {
    max-width: 100%;
  }
}

.send__checkbox {
  display: flex;
  align-items: center;
}

.label-send-checkbox {
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 130%;
  color: #A0A4A8;
  margin-right: 15px;
}

.footer__copyright {
  padding-top: 30px;
  padding-bottom: 38px;

  .copyright__info {
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 130%;
    color: #000000;
    padding-bottom: 8px;
  }
  
  .copyright__text {
    font-style: normal;
    font-weight: 300;
    font-size: 14px;
    line-height: 130%;
    color: #52575C;
  }
}

.modal_wrapper {
  position: fixed;
  left: 0;
  top: 0;
  bottom: 0;
  right: 0;
  background: #00000085;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 2;
  display: none;

  .modal {
    position: relative;
    padding: 16px;
    max-width: 321px;
    width: 100%;
    background: #FFFFFF;
    box-shadow: 0px 4px 20px rgba(37, 40, 43, 0.2);
    padding-top: 35px;
    max-height: 100%;

    .modal_head {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 33px;

      .modal_title {
        font-style: normal;
        font-weight: 500;
        font-size: 20px;
        line-height: 130%;
        color: #25282B;
      }
  
      .modal_close {
        position: absolute;
        right: 10px;
        top: 26px;
        }
    }
  
    .modal_body {

      .modal_name {
        display: flex;
        justify-content: space-between;
        margin-bottom: 24px;
      }

      .modal_content-wrapper {
        
        .modal_content {

          &:nth-child(odd) {
            background: #F9F9FA;
          }
  
          .content__wrapper {
  
            display: flex;
            justify-content: space-between;
            align-items: center;
            border-top:  1px solid #E8E8E8;;
            border-bottom: 1px solid #E8E8E8;
            padding: 8px 10px;
            margin-bottom: 5px;
  
            .content_text {
              font-style: normal;
              font-weight: 400;
              font-size: 14px;
              line-height: 130%;
              color: #52575C;
              max-width: 130px;
            }
    
            .content_add-btn {
              .add-btn__wrapper{
                display: flex;
    
                .input {
                  background: #FFFFFF;
                  border: 1px solid #E8E8E8;
                  border-radius: 4px;
                  font-style: normal;
                  font-weight: 400;
                  font-size: 16px;
                  line-height: 130%;
                  color: #52575C;
                  text-align: center;
                  width: 52px;
                  padding: 2px;
                  align-items: center;
                  margin-right: 4px;
                }

                .symbol {
                  background: #E93C3C;
                  border-radius: 4px;
                  width: 34px;
                  height: 34px;
                  border: none;
                  color: #fff;
                  position: relative;
    
                    &:not(:last-child) {
                      margin-right: 4px;
                    }

                    .img-sym {
                      position: absolute;
                      bottom: 50%; 
                      left: 50%;
                      transform: translate(-50%, 50%)
                    }
                }
              }
            }
          }
        }
      }

      @media (max-width: 1158px) {
        .modal_content-wrapper {
          max-height: 385px;
          overflow-y: scroll;
        }
      }

      @media (max-width: 996px) {
        .modal_content-wrapper {
          max-height: 305px;
          overflow-y: scroll;
        }
      }

      @media (max-width: 450px) {
        .modal_content-wrapper {
          max-height: 230px;
          overflow-y: scroll;
        }
      }

      
      .modal_btn {
        margin-top: 30px;
        margin-bottom: 20px;
        button {
          padding: 12px 60px;
          gap: 10px;
          width: 100%;
          color: #E93C3C;
          background: transparent;
          font-size: 16px;
          line-height: 16px;
          text-align: center;
          cursor: pointer;
          border: 2px solid #E93C3C;
          border-radius: 2px;
          font-weight: 500;
          transition: 0.3s ease;
            &:hover {
            color: #fff;
            background: #E93C3C;
          }
        }
      }
    }
  }
}







